//
//  NewHomeViewController.m
//  Macalline
//
//  Created by qianjun_work on 15-6-22.
//  Copyright (c) 2015年 JianjiYuan. All rights reserved.
//

#import "SANewHomeViewController.h"
#import "BRNetworkMgr.h"
#import "RDVTabBarController.h"
#import <UIImageView+WebCache.h>
#import <SDImageCache.h>
#import "TypePickerView.h"
#import "SATaskListViewController.h"
#import "DBDaoMgr.h"
#import "BackGroundMusicViewController.h"

@interface SANewHomeViewController ()
{
    UIButton* btnUnRead;
    UILabel* lblNum;
    UIImageView* prcessImage;
    UIView* prcessBgView;
    
    UIView* cxView;
    UIView* dayView;
}
@end

@implementation SANewHomeViewController
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        //self.title = @"首页";
        
    }
    return self;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    [self setCustomNavBar];
    self.view.backgroundColor = [UIColor colorWithRed:0.9333 green:0.9333 blue:0.9333 alpha:1];
    // Do any additional setup after loading the view.
    self.navigationItem.leftBarButtonItems = nil;
    self.navigationController.navigationBarHidden = YES;
    
    UIView* headView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, CGRectGetWidth(self.view.frame), 200)];
    headView.backgroundColor = [UIColor colorWithRed:0.9608 green:0.9608 blue:0.9608 alpha:1];
    [self.view addSubview:headView];
    UIImageView* headbg = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, CGRectGetWidth(self.view.frame), 200)];
    headbg.image = [UIImage imageNamed:@"NavBar/smallAreaNav_bg.png"];
    [headView addSubview:headbg];
    
    UILabel* lblTitle = [[UILabel alloc] init];
    lblTitle.text = @"首页";
    lblTitle.textColor = [UIColor whiteColor];
    lblTitle.font = [UIFont boldSystemFontOfSize:19];
    [headView addSubview:lblTitle];
    
    [lblTitle autoAlignAxis:ALAxisVertical toSameAxisOfView:headView];
    [lblTitle autoPinEdgeToSuperviewEdge:ALEdgeTop withInset:25];
    
    UIImageView* typePickerViewbg = [[UIImageView alloc] initWithFrame:CGRectMake(0, 75, CGRectGetWidth(self.view.frame), 40)];
    typePickerViewbg.image = [UIImage imageNamed:@"NavBar/tab_home_left_xiaoqu.png"];
    [headView addSubview:typePickerViewbg];
    
    NSArray *arrTitles = @[@"企划在线检查", @"查询考核"];
    TypePickerView *typePickerView = [[TypePickerView alloc] initWithFrame:
                                      CGRectMake(0, 50, CGRectGetWidth(self.view.frame), 40)];
    typePickerView.backgroundColor = [UIColor clearColor];
    typePickerView.titles = arrTitles;
    [headView addSubview:typePickerView];
    [typePickerView autoAlignAxis:ALAxisHorizontal toSameAxisOfView:headView withOffset:-3];
    [typePickerView autoAlignAxis:ALAxisVertical toSameAxisOfView:headView];
    [typePickerView autoPinEdgeToSuperviewEdge:ALEdgeLeft ];
    [typePickerView autoPinEdgeToSuperviewEdge:ALEdgeRight ];
    [typePickerView autoSetDimension:ALDimensionHeight toSize:40];
    //配置按钮
    for (int i = 0; i<arrTitles.count; i++) {
        UIButton *btnTitle = [typePickerView buttonAtIndex:i];
        [btnTitle setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        [btnTitle setTitleColor:[UIColor whiteColor] forState:UIControlStateSelected];
        btnTitle.titleLabel.font = [UIFont boldSystemFontOfSize:17];
        UIImageView* img = [[UIImageView alloc] init];
        img.image = [UIImage imageNamed:@"arrow_fill.png"];
        [btnTitle addSubview:img];
        [img autoAlignAxis:ALAxisVertical toSameAxisOfView:btnTitle  withOffset:23];
        [img autoAlignAxis:ALAxisHorizontal toSameAxisOfView:btnTitle];
        [img autoSetDimensionsToSize:CGSizeMake(8 , 6)];
    }
    typeof(SANewHomeViewController) *weakSelf = self;
    typePickerView.typePickerClick = ^(int index) {
        [weakSelf typePickerViewClickAtIndex:index];
    };
    
    UIView* descView = [[UIView alloc] init];
    descView.backgroundColor = [UIColor colorWithRed:0.1569 green:0.6235 blue:0.7216 alpha:1];
    [headView addSubview:descView];
    [descView autoPinEdgesToSuperviewEdgesWithInsets:UIEdgeInsetsMake(0, 0, 0, 0) excludingEdge:ALEdgeTop];
    [descView autoPinEdge:ALEdgeTop toEdge:ALEdgeBottom ofView:typePickerView withOffset:-2];
    
    lblNum = [[UILabel alloc] init];
    lblNum.text = @"33";
    lblNum.textColor = [UIColor whiteColor];
    lblNum.font = [UIFont systemFontOfSize:27];
    [descView addSubview:lblNum];
    [lblNum autoPinEdgeToSuperviewEdge:ALEdgeLeft withInset:10];
    [lblNum autoPinEdgeToSuperviewEdge:ALEdgeTop withInset:20];
    
    UILabel* lbldone = [[UILabel alloc] init];
    lbldone.text = @"% 已完成";
    lbldone.textColor = [UIColor whiteColor];
    lbldone.font = [UIFont systemFontOfSize:13];
    [descView addSubview:lbldone];
    [lbldone autoPinEdge:ALEdgeLeft toEdge:ALEdgeRight ofView:lblNum];
    [lbldone autoPinEdge:ALEdgeBottom toEdge:ALEdgeBottom ofView:lblNum withOffset:-4];
    
    btnUnRead = [[UIButton alloc] init];
    [btnUnRead setBackgroundImage:[UIImage imageNamed:@"TabBar/bg_notes_home.png"] forState:UIControlStateNormal];
  //  [btnUnRead setTitle:@"您有4个待审核任务" forState:UIControlStateNormal];
    btnUnRead.titleLabel.font = [UIFont systemFontOfSize:10];
    [descView addSubview:btnUnRead];
    [btnUnRead autoPinEdgeToSuperviewEdge:ALEdgeRight withInset:10];
    [btnUnRead autoAlignAxis:ALAxisHorizontal toSameAxisOfView:lblNum];
    [btnUnRead autoSetDimensionsToSize:CGSizeMake(110, 26)];
    
    UILabel* lbllocation = [[UILabel alloc] init];
    lbllocation.textColor = [UIColor whiteColor];
    lbllocation.text = [DataMgr getInstance].smallAreaName;
    lbllocation.font = [UIFont systemFontOfSize:10];
    [descView addSubview:lbllocation];
    //[lbllocation autoPinEdge:ALEdgeRight toEdge:ALEdgeRight ofView:btnUnRead];
    [lbllocation autoPinEdge:ALEdgeBottom toEdge:ALEdgeTop ofView:btnUnRead withOffset:-4];
    //[lbllocation autoAlignAxis:ALAxisVertical toSameAxisOfView:btnUnRead];
    [lbllocation autoPinEdge:ALEdgeRight toEdge:ALEdgeRight ofView:btnUnRead withOffset:-2];
    
    UIImageView* locationImage = [[UIImageView alloc] init];
    locationImage.image = [UIImage imageNamed:@"Task/icon_site_white.png"];
    [descView addSubview:locationImage];
    [locationImage autoPinEdge:ALEdgeRight toEdge:ALEdgeLeft ofView:lbllocation withOffset:-2];
    [locationImage autoAlignAxis:ALAxisHorizontal toSameAxisOfView:lbllocation];
    [locationImage autoSetDimensionsToSize:CGSizeMake(12, 18)];
    
    UIView* prcessView = [[UIView alloc] init];
    prcessView.layer.cornerRadius = 5;
    [descView addSubview:prcessView];
    [prcessView autoPinEdge:ALEdgeTop toEdge:ALEdgeBottom ofView:lblNum withOffset:10];
    [prcessView autoPinEdgeToSuperviewEdge:ALEdgeLeft withInset:12];
    [prcessView autoPinEdgeToSuperviewEdge:ALEdgeRight withInset:10];
    [prcessView autoSetDimension:ALDimensionHeight toSize:10.5];
    
    prcessImage = [[UIImageView alloc] init];
    prcessImage.image = [UIImage imageNamed:@"NavBar/progress_bar_gary.png"];
    [prcessView addSubview:prcessImage];
    [prcessImage autoPinEdgesToSuperviewEdgesWithInsets:UIEdgeInsetsMake(0, 0, 0, 0)];
    
    prcessBgView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 20, 10)];
    prcessBgView.clipsToBounds = YES;
    prcessBgView.layer.cornerRadius = 5;
    prcessBgView.backgroundColor = [UIColor whiteColor];
    [prcessView addSubview:prcessBgView];
    
    UIImageView* bgImage = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, 320, 10)];
    bgImage.image = [UIImage imageNamed:@"NavBar/progress_bar.png"];
    [prcessBgView addSubview:bgImage];
    
    UIScrollView* scrollerView = [[UIScrollView alloc] init];
    scrollerView.backgroundColor = [UIColor clearColor];
    [self.view addSubview:scrollerView];
    [scrollerView autoPinEdgesToSuperviewEdgesWithInsets:UIEdgeInsetsMake(0, 0, 0, 0) excludingEdge:ALEdgeTop];
    [scrollerView autoPinEdge:ALEdgeTop toEdge:ALEdgeBottom ofView:headView];
    
    UILabel* lblCX = [[UILabel alloc] initWithFrame:CGRectMake(10, 0, 320, 25)];
    lblCX.textColor = [UIColor colorWithRed:0.9529 green:0.6471 blue:0.2118 alpha:1];
    lblCX.font = [UIFont boldSystemFontOfSize:14];
    lblCX.text = @"促销";
    [scrollerView addSubview:lblCX];
    
    CGFloat w = self.view.bounds.size.width/3;
    CGFloat h = w-20;
    cxView = [[UIView alloc] initWithFrame:CGRectMake(0, 25, w*3, h)];
    cxView.backgroundColor  = [UIColor redColor];
    [scrollerView addSubview:cxView];
    
    for (int i = 0; i < 3; i++) {
        UIButton* btn = [self creatBtnWithIndex:i withType:@"cx"];
        [cxView addSubview:btn];
    }
    
    
    
    UILabel* lblRC = [[UILabel alloc] initWithFrame:CGRectMake(10, h+25, 320, 25)];
    lblRC.textColor = [UIColor colorWithRed:0.2314 green:0.7098 blue:0.9373 alpha:1];
    lblRC.font = [UIFont boldSystemFontOfSize:14];
    lblRC.text = @"日常";
    [scrollerView addSubview:lblRC];
    dayView = [[UIView alloc] initWithFrame:CGRectMake(0, h+50, w*3, h*2)];
    [scrollerView addSubview:dayView];
    
    for (int i = 0; i < 6; i++) {
        UIButton* btn = [self creatBtnWithIndex:i withType:@"rc"];
        [dayView addSubview:btn];
    }
    
    scrollerView.contentSize = CGSizeMake(w*3, h*3+50);
    
    [UIApplication showLoadingView:@"正在加载数据"];
    
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(reloadUI) name:@"reloadNumber" object:nil];
}

#pragma ---------------------   刷新UI   -----------------------
-(void)reloadUI
{
  //  NSString* str = [NSString stringWithFormat:@"您有%@个待审核任务",_unFinishedTaskCount];
   // [btnUnRead setTitle:str forState:UIControlStateNormal];
    
    NSString* str = [NSString stringWithFormat:@"个待审核任务"];
    CGFloat width1 = [str boundingRectWithSize:CGSizeMake(CGFLOAT_MAX,23)
                                       options:NSStringDrawingUsesFontLeading|NSStringDrawingUsesLineFragmentOrigin
                                    attributes:@{NSFontAttributeName:[UIFont systemFontOfSize:10]}
                                       context:nil].size.width;
    UILabel *strright=[[UILabel alloc] init];
    strright.text=str;
    strright.textAlignment=NSTextAlignmentRight;
    strright.font=[UIFont systemFontOfSize:10];
    [btnUnRead addSubview:strright];
    [strright autoPinEdge:ALEdgeRight toEdge:ALEdgeRight ofView:btnUnRead withOffset:-4];
    [strright autoAlignAxis:ALAxisHorizontal toSameAxisOfView:btnUnRead];
    [strright autoSetDimensionsToSize:CGSizeMake(width1, 23)];
    strright.textColor=[UIColor whiteColor];
    
    
    UILabel *strleft=[[UILabel alloc] init];
    strleft.text=@"您有";
    [btnUnRead addSubview:strleft];
    CGFloat width2 = [strleft.text boundingRectWithSize:CGSizeMake(CGFLOAT_MAX,23)
                                                options:NSStringDrawingUsesFontLeading|NSStringDrawingUsesLineFragmentOrigin
                                             attributes:@{NSFontAttributeName:[UIFont systemFontOfSize:10]}
                                                context:nil].size.width;
    [strleft autoSetDimension:ALDimensionWidth toSize:width2];
    [strleft autoAlignAxis:ALAxisHorizontal toSameAxisOfView:btnUnRead];
    [strleft autoPinEdge:ALEdgeLeft toEdge:ALEdgeLeft ofView:btnUnRead withOffset:4];
    [strleft autoSetDimension:ALDimensionHeight toSize:23];
    strleft.font=[UIFont systemFontOfSize:10];
    strleft.textColor=[UIColor whiteColor];
    
    
    
    UILabel *strnum=[[UILabel alloc] init];
    strnum.text=[NSString stringWithFormat:@"%@",_unFinishedTaskCount];
    strnum.font=[UIFont boldSystemFontOfSize:11];
    
    strnum.textAlignment=NSTextAlignmentCenter;
    
    strnum.textColor=[UIColor colorWithRed:0.9529 green:0.6471 blue:0.2118 alpha:1];
    //
    //        CGFloat width3 = [strnum.text boundingRectWithSize:CGSizeMake(CGFLOAT_MAX,23)
    //                                           options:NSStringDrawingUsesFontLeading|NSStringDrawingUsesLineFragmentOrigin
    //                                        attributes:@{NSFontAttributeName:[UIFont boldSystemFontOfSize:11]}
    //                                           context:nil].size.width;
    //
    
    [btnUnRead addSubview:strnum];
    [strnum autoPinEdge:ALEdgeTop toEdge:ALEdgeTop ofView:btnUnRead];
    [strnum autoPinEdge:ALEdgeBottom toEdge:ALEdgeBottom ofView:btnUnRead];
    [strnum autoPinEdge:ALEdgeRight toEdge:ALEdgeLeft ofView:strright];
    
    [strnum autoPinEdge:ALEdgeLeft toEdge:ALEdgeRight ofView:strleft];

    
    
    float finishedNum = [_finishedTaskCount floatValue];
    float unfinishedNum = [_unFinishedTaskCount floatValue];
    float numbervalue;
    if (finishedNum == 0) {
        numbervalue = 0;
    }
    else
    {
        numbervalue = finishedNum/(finishedNum+unfinishedNum);
    }
    
    lblNum.text = self.progress;
    float W = prcessImage.frame.size.width;
    CGFloat f = [self.progress floatValue]/100;
    prcessBgView.frame = CGRectMake(0, 0, W*f, 10);
    
    
    NSString* num = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToDacuxiao];
    if (![num isEqualToString:@""]&&![num isEqualToString:@"0"]) {
        for (UIButton* view in cxView.subviews) {
            if (view.tag == 200) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 250) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in cxView.subviews) {
            if (view.tag == 200) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 250) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    
    NSString* num1 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToXiaocuxiao];
    if (![num1 isEqualToString:@""]&&![num1 isEqualToString:@"0"]) {
        for (UIButton* view in cxView.subviews) {
            if (view.tag == 201) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 251) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in cxView.subviews) {
            if (view.tag == 201) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 251) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    
    NSString* num2 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToDaoshi];
    if (![num2 isEqualToString:@""]&&![num2 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 100) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 150) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 100) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 150) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    
    NSString* num3 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToMeicheng];
    if (![num3 isEqualToString:@""]&&![num3 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 101) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 151) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 101) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 151) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    
    NSString* num4 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToXiuxiqu];
    if (![num4 isEqualToString:@""]&&![num4 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 102) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 152) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 102) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 152) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    NSString* num5 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToGuanggaowei ];
    if (![num5 isEqualToString:@""]&&![num5 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 103) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 153) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 103) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 153) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    NSString* num6 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToBeijingyinyue];
    if (![num6 isEqualToString:@""]&&![num6 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 104) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 154) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 104) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 154) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
    NSString* num7 = [NSString stringWithFormat:@"%@",[DataMgr getInstance].unfinishedTaskCountToYingyunwuliao];
    if (![num7 isEqualToString:@""]&&![num7 isEqualToString:@"0"]) {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 105) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 155) {
                        view1.hidden = NO;
                        break;
                    }
                }
            }
        }
    }
    else
    {
        for (UIButton* view in dayView.subviews) {
            if (view.tag == 105) {
                
                for (UIButton* view1 in view.subviews)
                {
                    if (view1.tag == 155) {
                        view1.hidden = YES;
                        break;
                    }
                }
            }
        }
    }
}

- (void)typePickerViewClickAtIndex:(int)index
{
    NSLog(@"click:%d",index);
}
- (void)viewWillAppear:(BOOL)animated
{
//    NSString* str = [NSString stringWithFormat:@"FetchPay:%@,NotifyRecievedContent:%@",[UIApplication getObjectType:String key:kAPNFetchPayloadMsg],[UIApplication getObjectType:String key:kLocalNotifyRecievedContent]];
//    
//    UIAlertView *alert=[[UIAlertView alloc] initWithTitle:@"123" message:str delegate:self cancelButtonTitle:@"取消" otherButtonTitles:@"删除", nil];
//    [alert show];
    
    [super viewWillAppear:animated];
    self.navigationController.navigationBarHidden = YES;
    
    self.rdv_tabBarController.navigationController.navigationBarHidden = YES;
    
    
    if ([[UIApplication getObjectType:Number key:kShouldRequestDataWhenBack] boolValue]) {
        [self queryInitCount];
        [UIApplication saveObject:@NO type:Number key:kShouldRequestDataWhenBack];
    }
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(UIButton*)creatBtnWithIndex:(int)num withType:(NSString*)type
{
    CGFloat w = self.view.bounds.size.width/3;
    CGFloat h = w-20;
    
    UIButton* btn = [[UIButton alloc] init];
    btn.layer.borderWidth = 0.5;
    btn.layer.borderColor = [UIColor colorWithRed:0.9333 green:0.9333 blue:0.9333 alpha:1].CGColor;
    [btn setBackgroundColor:[UIColor whiteColor]];
    if (num < 3) {
        btn.frame = CGRectMake(num*w, 0, w, h);
    }
    else
    {
        btn.frame = CGRectMake((num-3)*w, h, w, h);
    }
    UIImageView* images = [[UIImageView alloc] init];
    
    [btn addSubview:images];
    [images autoAlignAxis:ALAxisVertical toSameAxisOfView:btn];
    [images autoAlignAxis:ALAxisHorizontal toSameAxisOfView:btn withOffset:-15];
    
    UILabel* lblName = [[UILabel alloc] init];
    lblName.font = [UIFont systemFontOfSize:15];
    lblName.textColor = [UIColor darkGrayColor];
    [btn addSubview:lblName];
    [lblName autoAlignAxis:ALAxisVertical toSameAxisOfView:btn];
    [lblName autoPinEdgeToSuperviewEdge:ALEdgeBottom withInset:10];
    
    UIButton* lblUndoneNum = [[UIButton alloc] initWithFrame:CGRectMake(w-13, 5, 8, 8)];
    [lblUndoneNum setBackgroundColor:[UIColor redColor]];
    lblUndoneNum.titleLabel.font = [UIFont systemFontOfSize:11];
    lblUndoneNum.layer.cornerRadius = 4;
    [btn addSubview:lblUndoneNum];
    
    if ([type isEqualToString:@"rc"]) {
        btn.tag = 100+num;
        lblUndoneNum.tag = 150+num;
        if (num == 0) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_sight.png"];
            lblName.text = @"导视";
        }
        if (num == 1) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_display.png"];
            lblName.text = @"美陈";
        }
        if (num == 2) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_relax.png"];
            lblName.text = @"公共区域";
        }
        if (num == 3) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_ad.png"];
            lblName.text = @"广告位";
        }
        if (num == 4) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_music.png"];
            lblName.text = @"背景音乐";
        }
        if (num == 5) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_supplies.png"];
            lblName.text = @"综合物料";
        }
    }
    
    if ([type isEqualToString:@"cx"]) {
        btn.tag = 200+num;
        lblUndoneNum.tag = 250+num;
        if (num == 0) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_bigSales.png"];
            lblName.text = @"大促销";
        }
        if (num == 1) {
            images.image = [UIImage imageNamed:@"NavBar/icon_home_smallSales.png"];
            lblName.text = @"小促销";
        }
        if (num == 2) {
            [btn setBackgroundImage:[UIImage imageNamed:@"NavBar/no_icon_bg.png"] forState:UIControlStateNormal];
            btn.enabled = NO;
        }
    }
    
    lblUndoneNum.hidden = YES;
    
    [btn addTarget:self action:@selector(btnSelcted:) forControlEvents:UIControlEventTouchUpInside];
    return btn;
}

#pragma ---------------------   点击事件   -----------------------
-(void)btnSelcted:(UIButton*)sender
{
    SATaskListViewController* vc = [[SATaskListViewController alloc] init];
    if (sender.tag < 200) {
        int num = sender.tag-100;
        if (num == 0) {
            vc.btnType = kDaoshicode;
        }
        if (num == 1) {
            vc.btnType =  kMeichengcode;
        }
        if (num == 2) {
            vc.btnType = kXiuxiqucode;
        }
        if (num == 3) {
            vc.btnType = kGuanggaoweicode;
        }
        if (num == 4) {
//            BackGroundMusicViewController* bvc = [[BackGroundMusicViewController alloc] init];
//            [self.rdv_tabBarController.navigationController pushViewController:bvc animated:YES];
            UIAlertView *alert=[[UIAlertView alloc] initWithTitle:@"提示" message:@"功能未开放" delegate:self cancelButtonTitle:@"确定" otherButtonTitles: nil];
            [alert show];
            return;
        }
        if (num == 5) {
            vc.btnType = kYingyunwuliaocode;
        }
        
    }
    else
    {
        int num = sender.tag-200;
        if (num == 0) {
            vc.btnType = kDacuxiaocode;
        }
        if (num == 1) {
            vc.btnType = kXiaocuxiaocode;
        }
        if (num == 2) {
            vc.btnType = kXiaocuxiaocode;
        }
    }
    vc.dayCount = _dayCount;
    [self.rdv_tabBarController.navigationController pushViewController:vc animated:YES];
    NSLog(@"btnTag:%d",sender.tag);
}

- (void)queryInitCount
{
    NSString *interface = @"queryInitCountEX";
    AFHTTPRequestOperation *operation = [self.networkMgr operationWithURL:kBaseEXURL(interface)
                                                                interface:interface
                                                                   params:nil
                                                                 dataType:BRNetMgrDataTypeJSON
                                                                   method:BRNetMgrMethodPost];
    [self.networkMgr startOperation:operation];
}
#pragma mark =============  BRNetworkMgr Delegate  =============
- (void)httpOperationSuccess:(AFHTTPRequestOperation *)operation
                      result:(NSDictionary *)result
{
    if ([operation.userInfo[@"interface"] isEqualToString:@"queryInitCountEX"]) {
        
        //        vcTask.arrItemTitles = [NSMutableArray arrayWithArray:
        //                                @[[NSString stringWithFormat:@"未完成(%@)", result[@"unFinishedTaskCount"]],
        //                                  [NSString stringWithFormat:@"已完成(%@)", result[@"finishedTaskCount"]]]];
        //        [vcTask reloadItemTitles];
        self.unFinishedTaskCount = result[@"unFinishedTaskCount"];
        self.progress = [NSString stringWithFormat:@"%@",result[@"progress"]];
        
        [DataMgr getInstance].unfinishedTaskCountToDacuxiao = result[@"dacuxiaoUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToXiaocuxiao = result[@"xiaocuxiaoUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToDaoshi = result[@"daoshiUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToMeicheng = result[@"meichenUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToXiuxiqu = result[@"xiuxiquUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToGuanggaowei = result[@"guanggaoweiUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToBeijingyinyue = result[@"beijingyinyueUndoneNum"];
        [DataMgr getInstance].unfinishedTaskCountToYingyunwuliao = result[@"yingyunwuliaoUndoneNum"];
        
        [DataMgr getInstance].serverTime = result[@"serverTime"];
        NSNotification *notification =[NSNotification notificationWithName:@"reloadNumber" object:nil userInfo:nil];
        //通过通知中心发送通知
        [[NSNotificationCenter defaultCenter] postNotification:notification];
    }
    
}

#pragma ---------------------   Navigation背景   -----------------------
- (void)setCustomNavBar
{
#if kIOSVersion7Later
    [[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleLightContent animated:NO];
#endif
    [[UINavigationBar appearance] setTitleTextAttributes: [NSDictionary dictionaryWithObjectsAndKeys:
                                                           [UIColor whiteColor], UITextAttributeTextColor,
                                                           [UIFont boldSystemFontOfSize:19], NSFontAttributeName, nil]];
    
    if ([[UIDevice currentDevice].systemVersion floatValue] >=7.0) {
        [[UINavigationBar appearance] setBackgroundImage:[UIImage imageNamed:@"NavBar/smallAreaNav_bg.png"]
                                           forBarMetrics:UIBarMetricsDefault];
    }else{
        [[UINavigationBar appearance] setBackgroundImage:[UIImage imageNamed:@"NavBar/smallAreaNav_bg.png"]
                                           forBarMetrics:UIBarMetricsDefault];
    }
    
}
/*
 #pragma mark - Navigation
 
 // In a storyboard-based application, you will often want to do a little preparation before navigation
 - (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
 // Get the new view controller using [segue destinationViewController].
 // Pass the selected object to the new view controller.
 }
 */

@end
